---
title: get-conditional-firewall-bypasses
product: vercel
url: /docs/rest-api/security/get-conditional-firewall-bypasses
canonical_url: "https://vercel.com/docs/rest-api/security/get-conditional-firewall-bypasses"
last_updated: 2026-11-05
type: reference
prerequisites:
  []
related:
  - /docs/rest-api
summary: Learn about get-conditional-firewall-bypasses on Vercel.
install_vercel_plugin: npx plugins add vercel/vercel-plugin
---

# Get conditional firewall bypasses

```http
GET /v1/security/firewall/bypass/rules
```

Retrieve conditional firewall bypass rules for a project.

## Authentication

**bearerToken**: HTTP bearer

## Query parameters

| Name | Type | Required | Description |
|---|---|---|---|
| `projectId` | string | Yes |  |
| `slug` | string | No |  |
| `domain` | string | No |  |
| `teamId` | string | No | The Team identifier to perform the request on behalf of. |


## Example request

### TypeScript

```typescript
const response = await fetch('https://api.vercel.com/v1/security/firewall/bypass/rules?projectId=string&slug=string&domain=string&teamId=string', {
  method: 'GET',
  headers: {
    'Authorization': 'Bearer YOUR_ACCESS_TOKEN',
    'Content-Type': 'application/json',
  },
});

const data = await response.json();
console.log(data);
```

### Next.js

```typescript
'use server';

export async function callEndpoint() {
  const response = await fetch('https://api.vercel.com/v1/security/firewall/bypass/rules?projectId=string&slug=string&domain=string&teamId=string', {
    method: 'GET',
    headers: {
      'Authorization': `Bearer ${process.env.VERCEL_ACCESS_TOKEN}`,
      'Content-Type': 'application/json',
    },
    next: { revalidate: 3600 }
  });

  if (!response.ok) {
    throw new Error('Request failed');
  }

  return response.json();
}
```

### cURL

```bash
curl -X GET 'https://api.vercel.com/v1/security/firewall/bypass/rules?projectId=string&slug=string&domain=string&teamId=string' \
  -H 'Authorization: Bearer YOUR_ACCESS_TOKEN' \
  -H 'Content-Type: application/json'
```

## Example response

```json
{
  "condition": "string",
  "conditionGroup": [
    {
      "conditions": [
        {
          "key": "string",
          "neg": "false",
          "op": "eq",
          "type": "bot_category",
          "value": "string"
        }
      ]
    }
  ],
  "createdAt": "string",
  "domain": "string",
  "id": "icfg_1234567890",
  "note": "string",
  "projectId": "example_id",
  "updatedAt": "string"
}
```

## Responses

### 200: No description

Content-Type: `application/json`

```json
{
  "oneOf": [
    {
      "type": "object",
      "required": [
        "condition",
        "conditionGroup",
        "createdAt",
        "domain",
        "id",
        "projectId",
        "updatedAt"
      ],
      "properties": {
        "condition": {
          "type": "string"
        },
        "conditionGroup": {
          "type": "array",
          "items": {
            "type": "object",
            "required": [
              "conditions"
            ]
          }
        },
        "createdAt": {
          "type": "string"
        },
        "domain": {
          "type": "string"
        },
        "id": {
          "type": "string"
        },
        "note": {
          "type": "string"
        },
        "projectId": {
          "type": "string"
        },
        "updatedAt": {
          "type": "string"
        }
      }
    },
    {
      "type": "object",
      "required": [
        "rules"
      ],
      "properties": {
        "rules": {
          "type": "array",
          "items": {
            "type": "object",
            "required": [
              "condition",
              "conditionGroup",
              "createdAt",
              "domain",
              "id",
              "projectId",
              "updatedAt"
            ]
          }
        }
      }
    }
  ]
}
```

### 400: One of the provided values in the request query is invalid.

### 401: The request is not authorized.

### 403: You do not have permission to access this resource.

### 404: No description

### 410: No description

---

## Related

- [security endpoints](/docs/rest-api#security)

- [REST API overview](/docs/rest-api)

- [OpenAPI spec](https://vercel.com/openapi.json) (machine-readable, all endpoints)

---

[View full sitemap](/docs/sitemap)


If you encounter incorrect information, can’t find what you need, need a capability Vercel doesn’t currently offer, or have any other feedback to report, please do it by following the instructions at https://vercel.com/feedback.md.
